Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.field.address.parser
Class ASTmailbox

    java.lang.Object
      org.apache.james.mime4j.field.address.parser.BaseNode
          org.apache.james.mime4j.field.address.parser.SimpleNode
              org.apache.james.mime4j.field.address.parser.ASTmailbox

All Implemented Interfaces:
  Node

    public class ASTmailbox

extends SimpleNode

Field Summary

Fields inherited from class org.apache.james.mime4j.field.address.parser.SimpleNode
`children, id, parent, parser`

Fields inherited from class org.apache.james.mime4j.field.address.parser.BaseNode
`firstToken, lastToken`

Constructor Summary
`ASTmailbox(AddressListParser p, int id)`
`ASTmailbox(int id)`

Method Summary
`java.lang.Object` | `jjtAccept(AddressListParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from class org.apache.james.mime4j.field.address.parser.SimpleNode
`childrenAccept, dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTmailbox

    public ASTmailbox(int id)

### ASTmailbox

    public ASTmailbox(AddressListParser p,
                      int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(AddressListParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.